summaryrefslogtreecommitdiffstats
path: root/source/ap/diffutils
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/diffutils')
-rwxr-xr-xsource/ap/diffutils/diffutils.SlackBuild13
-rw-r--r--source/ap/diffutils/diffutils.mkdir_p.diff11
2 files changed, 19 insertions, 5 deletions
diff --git a/source/ap/diffutils/diffutils.SlackBuild b/source/ap/diffutils/diffutils.SlackBuild
index 2287abb2c..93847dcdc 100755
--- a/source/ap/diffutils/diffutils.SlackBuild
+++ b/source/ap/diffutils/diffutils.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=diffutils
-VERSION=${VERSION:-$(echo diffutils-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo diffutils-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -56,8 +56,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz
-cd $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -70,6 +70,9 @@ zcat $CWD/diffutils-sdiff-no-waitpid.patch.gz | patch -p1 || exit 1
# Prevent ruining sdiff.1 by touching it so it won't "regenerate":
touch man/sdiff.1
+# Fix installation of NLS files:
+zcat $CWD/diffutils.mkdir_p.diff.gz | patch -p1 || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -110,7 +113,7 @@ fi
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS COPYING NEWS README THANKS TODO \
+ AUTHORS COPYING* NEWS README* THANKS TODO \
$PKG/usr/doc/$PKGNAM-$VERSION
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
diff --git a/source/ap/diffutils/diffutils.mkdir_p.diff b/source/ap/diffutils/diffutils.mkdir_p.diff
new file mode 100644
index 000000000..4ebaf69b7
--- /dev/null
+++ b/source/ap/diffutils/diffutils.mkdir_p.diff
@@ -0,0 +1,11 @@
+--- ./po/Makefile.in.in.orig 2013-03-23 09:51:10.000000000 -0500
++++ ./po/Makefile.in.in 2013-10-03 16:25:59.778992814 -0500
+@@ -42,7 +42,7 @@
+ mkinstalldirs = $(SHELL) @install_sh@ -d
+ install_sh = $(SHELL) @install_sh@
+ MKDIR_P = @MKDIR_P@
+-mkdir_p = @mkdir_p@
++mkdir_p = @MKDIR_P@
+
+ GMSGFMT_ = @GMSGFMT@
+ GMSGFMT_no = @GMSGFMT@